int value = 0;   

int b1LED = 3;
int w1LED = 5;
int b3LED = 6;
int w3LED = 9;
int b2LED = 11;
int w2LED = 10;

int randomNumberOne = 0;

void setup() {
  pinMode(b1LED, OUTPUT);
  pinMode(w1LED, OUTPUT);
  pinMode(b2LED, OUTPUT);
  pinMode(w2LED, OUTPUT);
  pinMode(b3LED, OUTPUT);
  pinMode(w3LED, OUTPUT);

  analogWrite(b1LED, 255);
  delay(200);
  analogWrite(b2LED, 255);
  delay(200);
  analogWrite(b3LED, 255);
  delay(300);
  analogWrite(w1LED, 255);
  delay(200);
  analogWrite(w2LED, 255);
  delay(200);
  analogWrite(w3LED, 255);
  delay(300);
}

void loop() { 
  randomNumberOne = random(20);

  if (randomNumberOne == 1)  {
    flashLEDs();
  }

  if (randomNumberOne == 2)  {
    allFade();
  }

  if (randomNumberOne == 3)  {
    altBlink();
  }

  if (randomNumberOne == 4)  {
    allFade();
  }

  if (randomNumberOne == 5)  {
    allFade();
  }

  if (randomNumberOne == 6)  {
    quickWave();
  }

  if (randomNumberOne == 7)  {
    quickWave();
  }

  if (randomNumberOne == 8)  {
    quickWave();
  }

  //default animation 
  b1FadeDown();
  w1FadeUp();

  b2FadeDown();
  w2FadeUp();

  b3FadeDown();
  w3FadeUp();

  delay(300);

  w3FadeDown();
  b3FadeUp();

  w2FadeDown();
  b2FadeUp();

  w1FadeDown();
  b1FadeUp();

}

void quickWave() {
  for (int i=0; i <=6; i++){
    b1FadeDownFast();
    b2FadeDownFast();
    b3FadeDownFast();
    w1FadeDownFast();
    w2FadeDownFast();
    w3FadeDownFast();
    delay(100);
    b1FadeUpFast();
    b2FadeUpFast();
    b3FadeUpFast();
    w1FadeUpFast();
    w2FadeUpFast();
    w3FadeUpFast();
    delay(100);
  }
}


void allFade() {
  //DOWN
  for (int i=0; i <= 3; i++){

    for(value = 255; value >=0; value-=2)   
    { 
      analogWrite(b1LED, value); 
      analogWrite(w1LED, value); 
      analogWrite(b2LED, value); 
      analogWrite(w2LED, value); 
      analogWrite(b3LED, value); 
      analogWrite(w3LED, value);
      delay(30); 
    } 

    //UP
    for(value = 0 ; value <= 255; value+=2) 
    { 
      analogWrite(b1LED, value); 
      analogWrite(w1LED, value); 
      analogWrite(b2LED, value); 
      analogWrite(w2LED, value); 
      analogWrite(b3LED, value); 
      analogWrite(w3LED, value);   
      delay(30);                             
    } 
  }
}

void altBlink() {
  for (int i=0; i <= 20; i++){
    boolean tmp;

    if (tmp == true) {
      digitalWrite(b1LED, HIGH);
      digitalWrite(b2LED, HIGH);
      digitalWrite(b3LED, HIGH);
      delay(300);
      digitalWrite(b1LED, LOW);
      digitalWrite(b2LED, LOW);
      digitalWrite(b3LED, LOW);
      delay(300);
      tmp = !tmp;
    } 
    else {

      digitalWrite(w1LED, HIGH);
      digitalWrite(w2LED, HIGH);
      digitalWrite(w3LED, HIGH);
      delay(300);
      digitalWrite(w1LED, LOW);
      digitalWrite(w2LED, LOW);
      digitalWrite(w3LED, LOW);
      delay(300);
      tmp = !tmp;
    }
  }
}

void flashLEDs() {
  for (int i=0; i <= 40; i++){

    digitalWrite(b1LED, HIGH);
    digitalWrite(b2LED, HIGH);
    digitalWrite(b3LED, HIGH);
    delay(30);
    digitalWrite(w1LED, LOW);
    digitalWrite(w2LED, LOW);
    digitalWrite(w3LED, LOW);
    delay(30);
    digitalWrite(b1LED, LOW);
    digitalWrite(b2LED, LOW);
    digitalWrite(b3LED, LOW);
    delay(30);
    digitalWrite(w1LED, HIGH);
    digitalWrite(w2LED, HIGH);
    digitalWrite(w3LED, HIGH);
    delay(30);
  }
}

//SLOW
void b1FadeUp() {
  for(value = 0 ; value <= 255; value+=5) // fade in (from min to max) 
  { 
    analogWrite(b1LED, value);           // sets the value (range from 0 to 255) 
    delay(30);                            // waits for 30 milli seconds to see the dimming effect 
  } 
}

void b2FadeUp() {
  for(value = 0 ; value <= 255; value+=5) // fade in (from min to max) 
  { 
    analogWrite(b2LED, value);           // sets the value (range from 0 to 255) 
    delay(30);                            // waits for 30 milli seconds to see the dimming effect 
  } 
}

void b3FadeUp() {
  for(value = 0 ; value <= 255; value+=5) // fade in (from min to max) 
  { 
    analogWrite(b3LED, value);           // sets the value (range from 0 to 255) 
    delay(30);                            // waits for 30 milli seconds to see the dimming effect 
  } 
}

void b1FadeDown() {
  for(value = 255; value >=0; value-=5)   // fade out (from max to min) 
  { 
    analogWrite(b1LED, value); 
    delay(30); 
  } 
}

void b2FadeDown() {
  for(value = 255; value >=0; value-=5)   // fade out (from max to min) 
  { 
    analogWrite(b2LED, value); 
    delay(30); 
  } 
}

void b3FadeDown() {
  for(value = 255; value >=0; value-=5)   // fade out (from max to min) 
  { 
    analogWrite(b3LED, value); 
    delay(30); 
  } 
}

void w1FadeUp() {
  for(value = 0 ; value <= 255; value+=5) // fade in (from min to max) 
  { 
    analogWrite(w1LED, value);           // sets the value (range from 0 to 255) 
    delay(10);                            // waits for 30 milli seconds to see the dimming effect 
  } 
}

void w2FadeUp() {
  for(value = 0 ; value <= 255; value+=5) // fade in (from min to max) 
  { 
    analogWrite(w2LED, value);           // sets the value (range from 0 to 255) 
    delay(10);                            // waits for 30 milli seconds to see the dimming effect 
  } 
}

void w3FadeUp() {
  for(value = 0 ; value <= 255; value+=5) // fade in (from min to max) 
  { 
    analogWrite(w3LED, value);           // sets the value (range from 0 to 255) 
    delay(10);                            // waits for 30 milli seconds to see the dimming effect 
  } 
}

void w1FadeDown() {
  for(value = 255; value >=0; value-=5)   // fade out (from max to min) 
  { 
    analogWrite(w1LED, value); 
    delay(10); 
  } 
}

void w2FadeDown() {
  for(value = 255; value >=0; value-=5)   // fade out (from max to min) 
  { 
    analogWrite(w2LED, value); 
    delay(10); 
  } 
}

void w3FadeDown() {
  for(value = 255; value >=0; value-=5)   // fade out (from max to min) 
  { 
    analogWrite(w3LED, value); 
    delay(10); 
  } 
}

//FAST
void b1FadeUpFast() {
  for(value = 0 ; value <= 255; value+=20) // fade in (from min to max) 
  { 
    analogWrite(b1LED, value);           // sets the value (range from 0 to 255) 
    delay(10);                            // waits for 30 milli seconds to see the dimming effect 
  } 
}

void b2FadeUpFast() {
  for(value = 0 ; value <= 255; value+=20) // fade in (from min to max) 
  { 
    analogWrite(b2LED, value);           // sets the value (range from 0 to 255) 
    delay(10);                            // waits for 30 milli seconds to see the dimming effect 
  } 
}

void b3FadeUpFast() {
  for(value = 0 ; value <= 255; value+=20) // fade in (from min to max) 
  { 
    analogWrite(b3LED, value);           // sets the value (range from 0 to 255) 
    delay(10);                            // waits for 30 milli seconds to see the dimming effect 
  } 
}

void b1FadeDownFast() {
  for(value = 255; value >=0; value-=20)   // fade out (from max to min) 
  { 
    analogWrite(b1LED, value); 
    delay(10); 
  } 
}

void b2FadeDownFast() {
  for(value = 255; value >=0; value-=20)   // fade out (from max to min) 
  { 
    analogWrite(b2LED, value); 
    delay(10); 
  } 
}

void b3FadeDownFast() {
  for(value = 255; value >=0; value-=20)   // fade out (from max to min) 
  { 
    analogWrite(b3LED, value); 
    delay(10); 
  } 
}

void w1FadeUpFast() {
  for(value = 0 ; value <= 255; value+=20) // fade in (from min to max) 
  { 
    analogWrite(w1LED, value);           // sets the value (range from 0 to 255) 
    delay(10);                            // waits for 30 milli seconds to see the dimming effect 
  } 
}

void w2FadeUpFast() {
  for(value = 0 ; value <= 255; value+=20) // fade in (from min to max) 
  { 
    analogWrite(w2LED, value);           // sets the value (range from 0 to 255) 
    delay(10);                            // waits for 30 milli seconds to see the dimming effect 
  } 
}

void w3FadeUpFast() {
  for(value = 0 ; value <= 255; value+=20) // fade in (from min to max) 
  { 
    analogWrite(w3LED, value);           // sets the value (range from 0 to 255) 
    delay(10);                            // waits for 30 milli seconds to see the dimming effect 
  } 
}

void w1FadeDownFast() {
  for(value = 255; value >=0; value-=20)   // fade out (from max to min) 
  { 
    analogWrite(w1LED, value); 
    delay(10); 
  } 
}

void w2FadeDownFast() {
  for(value = 255; value >=0; value-=20)   // fade out (from max to min) 
  { 
    analogWrite(w2LED, value); 
    delay(10); 
  } 
}

void w3FadeDownFast() {
  for(value = 255; value >=0; value-=20)   // fade out (from max to min) 
  { 
    analogWrite(w3LED, value); 
    delay(10); 
  } 
}




